package client_handlers

import (
	"cpone/utils"

	client_mdbahan "cpone/views/client/mdbahan"

	"github.com/labstack/echo/v4"
)

type MdBahanService interface {
}

func NewMdBahanHandler(us MdBahanService) *MdBahanHandler {
	return &MdBahanHandler{
		MdBahanService: us,
	}
}

type MdBahanHandler struct {
	MdBahanService MdBahanService
}

func (uh *MdBahanHandler) ShowMdBahan(c echo.Context) error {
	helo := client_mdbahan.Show()
	return utils.View(c, helo)
}
